Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.ocsp
Class CertStatus

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.ocsp.CertStatus

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class CertStatus

extends ASN1Encodable
implements ASN1Choice

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`CertStatus()` create a CertStatus object with a tag of zero.
`CertStatus(ASN1TaggedObject choice)`
`CertStatus(int tagNo, DEREncodable value)`
`CertStatus(RevokedInfo info)`

Method Summary
`static CertStatus` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static CertStatus` `getInstance(java.lang.Object obj)`
`DEREncodable` `getStatus()`
`int` `getTagNo()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertStatus

    public CertStatus()

  create a CertStatus object with a tag of zero.

### CertStatus

    public CertStatus(RevokedInfo info)

### CertStatus

    public CertStatus(int tagNo,
                      DEREncodable value)

### CertStatus

    public CertStatus(ASN1TaggedObject choice)

Method Detail

### getInstance

    public static CertStatus getInstance(java.lang.Object obj)

### getInstance

    public static CertStatus getInstance(ASN1TaggedObject obj,
                                         boolean explicit)

### getTagNo

    public int getTagNo()

### getStatus

    public DEREncodable getStatus()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

        CertStatus ::= CHOICE {
                        good        [0]     IMPLICIT NULL,
                        revoked     [1]     IMPLICIT RevokedInfo,
                        unknown     [2]     IMPLICIT UnknownInfo }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45